#
# spec file for package ghc-vty
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name vty
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        5.11.3
Release:        4.32
Summary:        A simple terminal UI library
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-microlens-devel
BuildRequires:  ghc-microlens-mtl-devel
BuildRequires:  ghc-microlens-th-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-terminfo-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-quickcheck-assertions-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-smallcheck-devel
BuildRequires:  ghc-string-qq-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-smallcheck-devel
%endif

%description
Vty is terminal GUI library in the niche of ncurses. It is intended to be easy
to use, have no confusing corner cases, and good support for common terminal
types.

Included in the source distribution is a program
test/interactive_terminal_test.hs that demonstrates the various features.

Developers: See the "Graphics.Vty" module.

Users: See the "Graphics.Vty.Config" module.

If your terminal is not behaving as expected the results of the
vty-interactive-terminal-test executable should be sent to the Vty maintainter
to aid in debugging the issue.

Notable infelicities: Assumes UTF-8 character encoding support by the terminal;
Poor signal handling; Requires terminfo.

This project is hosted on github.com: <https://github.com/coreyoconnor/vty>

> git clone git://github.com/coreyoconnor/vty.git

&#169; 2006-2007 Stefan O'Rear; BSD3 license.

&#169; Corey O'Connor; BSD3 license.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/vty-demo
%{_bindir}/vty-mode-demo
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/README.md
%{_datadir}/%{pkg_name}-%{version}/TODO
%{_datadir}/%{pkg_name}-%{version}/AUTHORS
%{_datadir}/%{pkg_name}-%{version}/CHANGELOG
%{_datadir}/%{pkg_name}-%{version}/LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Oct 30 2016 psimons@suse.com
- Update to version 5.11.3 with cabal2obs.
* Mon Oct 17 2016 psimons@suse.com
- Update to version 5.11.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 5.11 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 5.5.0 revision 0 with cabal2obs.
